Signed AMO extensions don't install in about:addons

RESOLVED INCOMPLETE

Status

()

Toolkit
Add-ons Manager
RESOLVED INCOMPLETE
3 months ago
3 months ago

People

(Reporter: jkt, Unassigned)

Tracking

57 Branch
x86_64
Linux
Points:
---

Firefox Tracking Flags

(firefox57 affected)

Details

Attachments

(1 attachment)

(Reporter)

Description

3 months ago
STR
1. Go to about:addons
2. Install Addon from File.
3. Pick a signed AMO XPI from disk

Expected outcomes:
A permission prompt to approve the install of the extension

Actual:
Prompt displays reporting that the extension is corrupt.

I checked with :dveditz that this wasn't a side-loading restriction however he pointed out that using a file:// url or dragging the extension would work so this is strange.
Can you attach (or link to) an extension for which this happens?
Flags: needinfo?(jkt)
(Reporter)

Comment 2

3 months ago
Created attachment 8898714 [details]
new_container_tabbies-0.1.0-an+fx.xpi

This was the addon that I tried yesterday, however in a fresh profile for nightly and stable I can't replicate (or in my normal profile either).

- I have seen this several times before, do we care about it being intermittent?
- Have we made changes in the past day or so in this area of code that might have fixed an issue in Nightly?

Sorry if this was a waste of time.
Flags: needinfo?(jkt)
(In reply to Jonathan Kingston [:jkt] from comment #2)
> - Have we made changes in the past day or so in this area of code that might
> have fixed an issue in Nightly?

Nothing comes to mind.  Can you check the browser console if this happens again and see if there's anything pertinent?
I'm going to close for now, please feel free to reopen if you get some more details.
Status: NEW → RESOLVED
Last Resolved: 3 months ago
Resolution: --- → INCOMPLETE
Component: WebExtensions: General → Add-ons Manager
You need to log in before you can comment on or make changes to this bug.